Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.tool
Class Command.Fault

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.javatest.tool.Command.Fault

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Command

    public class Command.Fault

extends java.lang.Exception

This exception is used to report problems with a specific command.

See Also:
  Serialized Form

Constructor Summary
`Command.Fault(CommandContext.Fault e)` Create a Fault, by wrapping a CommandContext Fault.
`Command.Fault(I18NResourceBundle i18n, java.lang.String s)` Create a Fault.
`Command.Fault(I18NResourceBundle i18n, java.lang.String s, java.lang.Object o)` Create a Fault.
`Command.Fault(I18NResourceBundle i18n, java.lang.String s, java.lang.Object[] o)` Create a Fault.

Method Summary
`Command` | `getCommand()` Get the command that created this fault.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Command.Fault

    public Command.Fault(I18NResourceBundle i18n,
                         java.lang.String s)

  Create a Fault.

  Parameters:
    `i18n` - A resource bundle in which to find the detail message.
    `s` - The key for the detail message.

### Command.Fault

    public Command.Fault(I18NResourceBundle i18n,
                         java.lang.String s,
                         java.lang.Object o)

  Create a Fault.

  Parameters:
    `i18n` - A resource bundle in which to find the detail message.
    `s` - The key for the detail message.
    `o` - An argument to be formatted with the detail message by `MessageFormat.format(java.lang.Object[], java.lang.StringBuffer, java.text.FieldPosition)`

### Command.Fault

    public Command.Fault(I18NResourceBundle i18n,
                         java.lang.String s,
                         java.lang.Object[] o)

  Create a Fault.

  Parameters:
    `i18n` - A resource bundle in which to find the detail message.
    `s` - The key for the detail message.
    `o` - An array of arguments to be formatted with the detail message by `MessageFormat.format(java.lang.Object[], java.lang.StringBuffer, java.text.FieldPosition)`

### Command.Fault

    public Command.Fault(CommandContext.Fault e)

  Create a Fault, by wrapping a CommandContext Fault. The message string will be propogated directly; the argument fault will be set as the cause for this fault.

  Parameters:
    `e` - A CommandContext.Fault to wrap.

Method Detail

### getCommand

    public Command getCommand()

  Get the command that created this fault.

  Returns:
    the command that created this fault

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.